## irssi 0.8.14-6

=== Makefile ===
# Makefile.in generated by automake 1.10.2 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/irssi
pkglibdir = $(libdir)/irssi
pkgincludedir = $(includedir)/irssi
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i486-pc-linux-gnu
host_triplet = i486-pc-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(pkginclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/irssi-config.h.in $(srcdir)/irssi-config.in \
	$(top_srcdir)/configure \
	$(top_srcdir)/src/perl/common/Makefile.PL.in \
	$(top_srcdir)/src/perl/irc/Makefile.PL.in \
	$(top_srcdir)/src/perl/textui/Makefile.PL.in \
	$(top_srcdir)/src/perl/ui/Makefile.PL.in AUTHORS COPYING \
	ChangeLog INSTALL NEWS TODO acconfig.h build-aux/config.guess \
	build-aux/config.sub build-aux/depcomp build-aux/install-sh \
	build-aux/ltmain.sh build-aux/missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/curses.m4 \
	$(top_srcdir)/glib-2.0.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = irssi-config.h
CONFIG_CLEAN_FILES = src/perl/common/Makefile.PL \
	src/perl/irc/Makefile.PL src/perl/ui/Makefile.PL \
	src/perl/textui/Makefile.PL irssi-config
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(confdir)" "$(DESTDIR)$(themedir)" \
	"$(DESTDIR)$(pkgincludedir)"
confDATA_INSTALL = $(INSTALL_DATA)
themeDATA_INSTALL = $(INSTALL_DATA)
DATA = $(conf_DATA) $(theme_DATA)
pkgincludeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(pkginclude_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/detective/devel/irssi/irssi-x86/irssi-0.8.14/build-aux/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/detective/devel/irssi/irssi-x86/irssi-0.8.14/build-aux/missing --run tar
AR = i486-linux-gnu-ar
AUTOCONF = ${SHELL} /home/detective/devel/irssi/irssi-x86/irssi-0.8.14/build-aux/missing --run autoconf
AUTOHEADER = ${SHELL} /home/detective/devel/irssi/irssi-x86/irssi-0.8.14/build-aux/missing --run autoheader
AUTOMAKE = ${SHELL} /home/detective/devel/irssi/irssi-x86/irssi-0.8.14/build-aux/missing --run automake-1.10
AWK = gawk
CC = i486-linux-gnu-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2 -Wall  
CHAT_MODULES = irc
COMMON_LIBS = ../fe-common/irc/libfe_common_irc.a ../fe-common/irc/dcc/libfe_irc_dcc.a ../fe-common/irc/notifylist/libfe_irc_notifylist.a ../fe-common/core/libfe_common_core.a  ../irc/libirc.a ../irc/core/libirc_core.a ../irc/dcc/libirc_dcc.a ../irc/flood/libirc_flood.a ../irc/notifylist/libirc_notifylist.a ../core/libcore.a ../lib-config/libirssi_config.a
COMMON_NOUI_LIBS =  ../irc/libirc.a ../irc/core/libirc_core.a ../irc/dcc/libirc_dcc.a ../irc/flood/libirc_flood.a ../irc/notifylist/libirc_notifylist.a ../core/libcore.a ../lib-config/libirssi_config.a
CPP = i486-linux-gnu-gcc -E
CPPFLAGS = 
CURSES_INCLUDEDIR = 
CURSES_LIBS = -lncurses
CXX = i486-linux-gnu-g++
CXXCPP = i486-linux-gnu-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -Wl,--export-dynamic -lgmodule-2.0 -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GOBJECT_QUERY = gobject-query
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -Wl,-z,defs
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/detective/devel/irssi/irssi-x86/irssi-0.8.14/build-aux/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NMEDIT = 
OBJEXT = o
PACKAGE = irssi
PACKAGE_BUGREPORT = 
PACKAGE_NAME = irssi
PACKAGE_STRING = irssi 0.8.14
PACKAGE_TARNAME = irssi
PACKAGE_VERSION = 0.8.14
PATH_SEPARATOR = :
PERL_CFLAGS =  -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DAPPLLIB_EXP="/host_usr/perl" -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64  -I/scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE 
PERL_EXTRA_OPTS = 
PERL_FE_LINK_LIBS = ../perl/libfe_perl_static.la
PERL_LDFLAGS = 
PERL_LINK_FLAGS = -Wl,-E -L/usr/local/lib /scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/auto/DynaLoader/DynaLoader.a -L/scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE -lperl -lnsl -ldl -lm -lcrypt -lutil -lpthread
PERL_LINK_LIBS = ../perl/libperl_core_static.la
PERL_MM_PARAMS = INSTALLDIRS=perl PREFIX=/opt
PERL_STATIC_LIBS = 0
PERL_USE_LIB = /opt/lib/perl5/5.8.4/i686-linux-thread-multi
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PROG_LIBS =  -Wl,--export-dynamic -lgmodule-2.0 -lglib-2.0   -lssl -lcrypto  
RANLIB = i486-linux-gnu-ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SSL_CFLAGS =  
SSL_LIBS = -lssl -lcrypto  
STRIP = i486-linux-gnu-strip
TEXTUI_LIBS = -lncurses
VERSION = 0.8.14
abs_builddir = /home/detective/devel/irssi/irssi-x86/irssi-0.8.14
abs_srcdir = /home/detective/devel/irssi/irssi-x86/irssi-0.8.14
abs_top_builddir = /home/detective/devel/irssi/irssi-x86/irssi-0.8.14
abs_top_srcdir = /home/detective/devel/irssi/irssi-x86/irssi-0.8.14
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = i486-linux-gnu
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = i486-linux-gnu
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = $(SHELL) /home/detective/devel/irssi/irssi-x86/irssi-0.8.14/build-aux/install-sh
irc_MODULES = dcc flood notifylist
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
perl_module_fe_lib = 
perl_module_lib = 
perl_static_fe_lib = libfe_perl_static.la
perl_static_lib = libperl_core_static.la
perlpath = /scratchbox/tools/bin/perl
prefix = /opt
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sedpath = /scratchbox/tools/bin/sed
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
ACLOCAL_AMFLAGS = -I .

# create default-config.h
BUILT_SOURCES = default-config.h default-theme.h irssi-version.h
SUBDIRS = src docs scripts
confdir = $(sysconfdir)
conf_DATA = irssi.conf
themedir = $(datadir)/irssi/themes
theme_DATA = default.theme colorless.theme
pkginclude_HEADERS = irssi-config.h irssi-version.h
EXTRA_DIST = \
	ChangeLog \
	autogen.sh \
	curses.m4 \
	README \
	file2header.sh \
	$(conf_DATA) \
	$(theme_DATA) \
	irssi-config.in \
	irssi-icon.png \
	irssi-version.sh \
	syntax.pl

all: $(BUILT_SOURCES) irssi-config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

irssi-config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/irssi-config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status irssi-config.h
$(srcdir)/irssi-config.h.in: # $(am__configure_deps) $(top_srcdir)/acconfig.h
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f irssi-config.h stamp-h1
src/perl/common/Makefile.PL: $(top_builddir)/config.status $(top_srcdir)/src/perl/common/Makefile.PL.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
src/perl/irc/Makefile.PL: $(top_builddir)/config.status $(top_srcdir)/src/perl/irc/Makefile.PL.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
src/perl/ui/Makefile.PL: $(top_builddir)/config.status $(top_srcdir)/src/perl/ui/Makefile.PL.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
src/perl/textui/Makefile.PL: $(top_builddir)/config.status $(top_srcdir)/src/perl/textui/Makefile.PL.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
irssi-config: $(top_builddir)/config.status $(srcdir)/irssi-config.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:

## irssi 0.8.14-1

=== debian/changelog ===
irssi (0.8.14-1) unstable; urgency=low

  * Initial release 

 -- Max Maher <mmaher@gmx.net>  Tue, 24 Nov 2009 11:35:40 +0100

=== debian/control ===
Source: irssi
Section: user/network
Priority: extra
Maintainer: Max Maher <mmaher@gmx.net>
Build-Depends: debhelper (>= 5), autotools-dev, libglib2.0-dev, libncurses5-dev, libssl-dev, openssl
Standards-Version: 3.7.2

Package: irssi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: terminal based IRC client 
 Irssi is a terminal based IRC client for UNIX systems. It also supports
 SILC and ICB protocols via plugins.
 supports SILC and ICB protocols via plugins.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAAXNSR0IArs4c
 6QAAAwBQTFRF9/Pxyj4Y4M7K2sG6uFU7ulI2xl5CxGlQxYl53lIsvjIOvXZk
 wn1rvzQPv1c80qOVxnFa5dXRvXFcu1g+zKSa4svFwjMNxpKFvk4w+vj4+fX0
 wDUQ9vDu3srE5tnVuW1avTwZwEAe9O7txIRzvYJ0vEQlv31s6dzY0EYh8Ofl
 2L22zUIdwYh5wjgUy0QgzqKW0UkkxDQN/v39ujgWwDQPwVAxxDsWtkgrxo1+
 zq2kyEAbxTYRwjcS1ayhxDQO6dvXuz8e2sO9zUYhyEAc1bev7eTi3cbBy4Fu
 wzgT1rmx0rKpy0MeumpUx5aJwTYRxDoVuUMlwDYR/fz8yjUOzaOY8+zrxj0Y
 1Uol5NLNxz4ayZGCwjQPwYt9u19GxjQNukgq8erpuUYouUYnxTwXxJGDxjgS
 uEotyT0X1k4pv1M1xm9XxUclvTcUxTwYulpBvlAywjMOv0gouUIjvWhSvGVP
 wjUQ0kgiz0klykEcuzwavTsXvzkWuzoYwzYRvDMPvjINvzINwTMNwDMNwzkU
 xDMN+vf2wDINwYBu8uvq/Pv7vzMOykwq+fb1/Pr5yDsV/fz75tfT2Lqyxj4Z
 6+DdvTkW/Pv6zKacwmJIvEkq1kkj+PTzvGBIu2xXtU808+vp7ODd7OHe7uXj
 wUcnu3lntz4dxpiMvjMOw4x907Wt1bKp0qaa+/j4+ff2yH9qx00stkUow3Zh
 2FArvzsX6dbRzlQzx2hO17227NzY5tfU6NvY6t/cwD4b18C6yEEeykMey0Ic
 7+bk2ru00kIcxTUPxzQN+/n448/K4tPP8+3s9O3ryqSbwFs/yWpQwTcU0kwn
 xToV8Onn7ePhvEEgyz8ZzJaI2bOpuWNMw46Au2ROvmRLumhT07ewxTsWwzoV
 yZSGzJWH1ru0wpGE2biuy2lNu00wxot8vEosv1xAw04u38zHuzQRz0Qe8evq
 yqGWwDkUv4d3vDsZwjoWzVAvu2ZQ7uHe7+Le59TPzj4X8ObjwkIhyJmMzJqN
 zJyPvzMPvzgU////Uyhd0AAAAAF0Uk5TAEDm2GYAAAABYktHRACIBR1IAAAA
 CXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2QwCDQQGE8sxrwAAAUpJREFU
 KM9jYCAO8OOWYpPEJWPEqYxTV8ZGnFLnyjdgE9a6CrTLoGwWNrnwbww8ZU4i
 2KRCnNgj9u3zZsjGlLKvcNZ2ttJmMBXCkHoUGRk2KYyRIWw3qvjWUIb25OQ7
 Znfu/Dr/DlUq87u6RDMQ6Np46FYzMLxHkhLqy1f00PVQsLHx85vCwJCGHLBA
 IT+/1Dmp0tImUxjkTJCkfK2lTUx4TUrfdi1b1vCkoAEu8YQh1u7vsi4hu2iG
 wPqG+vr6BoYOqJRYgXFDPe8HZZeqLyUKDkCpum3qUKlGIK8+saQdyBSWEWur
 r087AjOQGySVmRAPciqD4UMgpwkm5dhQ39DIygCyXIoh+A3Qthq4OwwbcqS8
 GGTB7FuzgOanMCCZOA3OEWyoN0Tyl2F9SyeMnVbf4IskdYC1vg3KvCAmxo0a
 wPfEjCGM4CioCACnCWGdFUM5pQAAAABJRU5ErkJggg==
 ====

Package: irssi-dev
Architecture: any
Depends: irssi
Description: terminal based IRC client - development files
 Irssi is a terminal based IRC client for UNIX systems. It also supports
 SILC and ICB protocols via plugins.
 .
 This package includes the development files for the irssi client.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	            --prefix=/opt --sysconfdir=/etc --mandir=\$${prefix}/share/man --includedir=/usr/include \
		    --infodir=\$${prefix}/share/info --with-perl=no 


build: build-stamp

build-stamp:  config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/irssi.sgml > irssi.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/irssi.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_link opt/bin/irssi usr/bin/irssi
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs -n
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## irssi 0.8.14-2

=== debian/changelog ===
irssi (0.8.14-2) unstable; urgency=low

  * fixed directory structure

 -- Max Maher <mmaher@gmx.net>  Thu, 03 Dec 2009 11:35:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: irssi
 Section: user/network
 Priority: extra
-Maintainer: Max Maher <mmaher@gmx.net>
+Maintainer: Max Maher <mmaher@gmx.net>, Christian Kornacker <christian.kornacker@gmx.net>
 Build-Depends: debhelper (>= 5), autotools-dev, libglib2.0-dev, libncurses5-dev, libssl-dev, openssl
 Standards-Version: 3.7.2

## irssi 0.8.14-3

=== debian/changelog ===
irssi (0.8.14-3) unstable; urgency=low

  * added Bug-Tracker Tag.

 -- Max Maher <mmaher@gmx.net>  Thu, 03 Dec 2009 11:35:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: irssi
 Section: user/network
 Priority: extra
-Maintainer: Max Maher <mmaher@gmx.net>, Christian Kornacker <christian.kornacker@gmx.net>
+Maintainer: Max Maher <mmaher@gmx.net>
 Build-Depends: debhelper (>= 5), autotools-dev, libglib2.0-dev, libncurses5-dev, libssl-dev, openssl
 Standards-Version: 3.7.2
 
@@ -11,7 +11,8 @@
 Description: terminal based IRC client 
  Irssi is a terminal based IRC client for UNIX systems. It also supports
  SILC and ICB protocols via plugins.
- supports SILC and ICB protocols via plugins.
+Xsbc-Bugtracker: 
+ https://bugs.maemo.org/enter_bug.cgi?product=irssi
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAAXNSR0IArs4c
  6QAAAwBQTFRF9/Pxyj4Y4M7K2sG6uFU7ulI2xl5CxGlQxYl53lIsvjIOvXZk

## irssi 0.8.14-4

=== debian/changelog ===
irssi (0.8.14-4) unstable; urgency=low

  * fixed Bug-Tracker tag....

 -- Max Maher <mmaher@gmx.net>  Thu, 03 Dec 2009 11:35:23 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Description: terminal based IRC client 
  Irssi is a terminal based IRC client for UNIX systems. It also supports
  SILC and ICB protocols via plugins.
-Xsbc-Bugtracker: 
+XSBC-Bugtracker: 
  https://bugs.maemo.org/enter_bug.cgi?product=irssi
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAAXNSR0IArs4c

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 	CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
-	            --prefix=/opt --sysconfdir=/etc --mandir=\$${prefix}/share/man --includedir=/usr/include \
+	            --prefix=/opt/irssi --sysconfdir=/etc --mandir=\$${prefix}/share/man --includedir=/usr/include \
 		    --infodir=\$${prefix}/share/info --with-perl=no 
 
 
@@ -78,7 +78,7 @@
 	dh_testdir
 	dh_testroot
 	dh_install
-	dh_link opt/bin/irssi usr/bin/irssi
+	dh_link opt/irssi/bin/irssi usr/bin/irssi
 	dh_strip
 	dh_compress
 	dh_fixperms

## irssi 0.8.14-5

=== debian/changelog ===
irssi (0.8.14-5) unstable; urgency=low

  * minor build fixes....

 -- Max Maher <mmaher@gmx.net>  Thu, 03 Dec 2009 11:35:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Max Maher <mmaher@gmx.net>
 Build-Depends: debhelper (>= 5), autotools-dev, libglib2.0-dev, libncurses5-dev, libssl-dev, openssl
 Standards-Version: 3.7.2
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=irssi
 
 Package: irssi
 Architecture: any
@@ -11,8 +12,6 @@
 Description: terminal based IRC client 
  Irssi is a terminal based IRC client for UNIX systems. It also supports
  SILC and ICB protocols via plugins.
-XSBC-Bugtracker: 
- https://bugs.maemo.org/enter_bug.cgi?product=irssi
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAAXNSR0IArs4c
  6QAAAwBQTFRF9/Pxyj4Y4M7K2sG6uFU7ulI2xl5CxGlQxYl53lIsvjIOvXZk

## irssi 0.8.14-6

=== debian/changelog ===
irssi (0.8.14-6) unstable; urgency=low

  * added dh_installdoc for copyright file
  * added XB-Maemo-Display-Name 

 -- Max Maher <mmaher@gmx.net>  Sat, 19 Dec 2009 00:00:04 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Description: terminal based IRC client 
  Irssi is a terminal based IRC client for UNIX systems. It also supports
  SILC and ICB protocols via plugins.
+XB-Maemo-Display-Name: Irssi
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAAXNSR0IArs4c
  6QAAAwBQTFRF9/Pxyj4Y4M7K2sG6uFU7ulI2xl5CxGlQxYl53lIsvjIOvXZk

=== debian/rules ===
--- 
+++ 
@@ -78,6 +78,7 @@
 	dh_testdir
 	dh_testroot
 	dh_install
+	dh_installdocs
 	dh_link opt/irssi/bin/irssi usr/bin/irssi
 	dh_strip
 	dh_compress

## irssi 0.8.19

=== debian/changelog ===
irssi (0.8.19-1ubuntu1) xenial; urgency=medium

  * Merge from Debian.  Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      - When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/90irc-ubuntu-com:
      + Add the Ubuntu network with irc.ubuntu.com as the server,
        which is currently a CNAME for chat.freenode.net.
    - d/p/03firsttimer_text:
      + Adapt 03debian_firsttimer_text so it tells you about
        connecting to Ubuntu and joining #ubuntu.
    - d/control, d/rules: Drop libval-dev, not in Ubuntu main.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 24 Mar 2016 19:28:09 -0400

irssi (0.8.19-1) unstable; urgency=medium

  * New upstream release.
  * Patch src/perl/Makefile.* for passing over *FLAGS to perl.
  * export DEB_BUILD_MAINT_OPTIONS=hardening=+all
  * Rewrite copyright file in DEP5 and add AUTHORS to docs.
  * Remove two dots from ... at the start of lines from botti.1 to fix manpage
    error.
  * Remove quilt from Build-Depends, not needed anymore.
  * Bump Standards-Version to 3.9.7.

 -- Rhonda D'Vine <rhonda@debian.org>  Thu, 24 Mar 2016 15:43:12 +0100

irssi (0.8.18-1ubuntu1) xenial; urgency=medium

  * Merge from Debian testing (LP: #1423499).  Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      - When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/90irc-ubuntu-com:
      + Add the Ubuntu network with irc.ubuntu.com as the server,
        which is currently a CNAME for chat.freenode.net.
    - d/p/03firsttimer_text:
      + Adapt 03debian_firsttimer_text so it tells you about
        connecting to Ubuntu and joining #ubuntu.
    - d/control, d/rules: Drop libval-dev, not in Ubuntu main.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 04 Mar 2016 00:46:08 -0500

irssi (0.8.18-1) unstable; urgency=medium

  * New upstream release.
  * Updated debian/watch with patch submitted by Unit193, thanks!
  * Add lintian overrides file for the spelling "hilight" messages.

 -- Rhonda D'Vine <rhonda@debian.org>  Mon, 29 Feb 2016 22:40:36 +0100

irssi (0.8.18~beta1-1) experimental; urgency=medium

  [ Rhonda D'Vine ]
  * New upstream beta release, which contains fixes for:
    - line highlights on -mask don't work (closes: #696105)
  * Adjusted patches/12manpage-fix to manpage update.
  * Reworking debian/rules into dh style.  This enables hardened build flags
    (closes: #761123)
  * Adding debian/source/format.
  * Bumping Standards-Version to 3.9.6.
  * Don't chmod +x the irssi.install file, ship it executable in the source
    package.

  [ Mattia Rizzolo ]
  * Install usr/lib directly, multiarch moved the files from usr/lib/irssi.
  * Get rid of the .la and .a file, they aren't wanted.

 -- Rhonda D'Vine <rhonda@debian.org>  Tue, 22 Dec 2015 16:36:10 +0100

irssi (0.8.17-1ubuntu2) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 12:50:33 +0000

irssi (0.8.17-1ubuntu1) vivid; urgency=low

  * Merge from Debian testing (LP: #1423499).  Remaining changes:
    - Refreshed 03firsttimer_text to follow upstream changes to formatting.
    - Re-enabled 20fix_ssl_proxy_hostname_check.
    - Refreshed 90irc-ubuntu-com to follow upstream changes to config file
      formatting.

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Sun, 12 Oct 2014 09:44:38 +0000

irssi (0.8.17-1) unstable; urgency=medium

  * The AdaCamp Berlin upload, new upstream stable release.
  * Remove commit patches 41fab07 and 1cf7017 which are included in this
    release.

 -- Rhonda D'Vine <rhonda@debian.org>  Sun, 12 Oct 2014 07:38:57 +0200

irssi (0.8.17~rc1-1) experimental; urgency=medium

  * New upstream release which includes:
    - binding utf8 characters, removing the patch
  * Updated firstimer message patch.
  * README got renamed to README.md.
  * Compile with --enable-true-color.
  * Pull upstream commits 41fab07 and 1cf7017 to fix the colour black which
    got broken by extended colours.

 -- Rhonda D'Vine <rhonda@debian.org>  Mon, 28 Jul 2014 16:29:23 +0200

irssi (0.8.16-1ubuntu4) utopic; urgency=medium

  * Refresh and re-enable 20fix_ssl_proxy_hostname_check.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 06 Sep 2014 23:15:51 -0700

irssi (0.8.16-1ubuntu3) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 12:44:56 +0100

irssi (0.8.16-1ubuntu2) utopic; urgency=medium

  * Build witout libval-dev, it's in universe. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 07 Aug 2014 14:32:37 +0200

irssi (0.8.16-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable (LP: #1350364), remaining changes:
    - debian/patches/03firsttimer_text:
      + Adapt it so it tells you about connecting to Freenode and
        joining #ubuntu instead of irc.debian.org and #debian.
    - debian/patches/90irc-ubuntu-com:
      + Refreshed and added network config.
      + Set to connect over SSL. (LP: #978424)

 -- Unit 193 <unit193@ubuntu.com>  Wed, 06 Aug 2014 15:51:59 -0400

irssi (0.8.16-1) unstable; urgency=medium

  [ Rhonda D'Vine ]
  * New upstream release (closes: #751016), uploading to unstable.
  * Upstream release did obsolete cumode_space-fix patch so we're removing it.
  * Limit Build-Depends on libval-dev to linux-any until it is fixed on
    non-linux architectures.  Check DEB_HOST_ARCH_OS for linux in debian/rules
    to enable dane.
  * Bump Standards-Version to 3.9.5.
  * Check upstream signature on the tarballs through debian/watch
    (closes: #749827)
  * Set Priority of irssi-dbg and irssi-dev to extra.
  * Build-Depend on dh-autoreconf and call it on building (closes: #727292)
  * Remove --without-servertest --enable-perl configure switches
    (closes: #631731)
  * Add support for parallel build (closes: #727832)
  * Remove dependency_libs from .la files.

  [ gregor herrmann ]


=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CONFIGURE_SWITCHES = --enable-ipv6 --with-bot --with-proxy --enable-true-color --with-perl-lib=vendor --disable-static

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_SWITCHES)

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install

override_dh_strip:
	dh_strip --dbg-package=irssi-dbg

## irssi 0.8.20

=== debian/changelog ===
irssi (0.8.20-2ubuntu2) zesty; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - debian/patches/CVE-2017-5xxx.patch: properly handle strings in
      src/fe-common/core/formats.c, handle utf8 errors in
      src/fe-text/term-terminfo.c, properly handle invalid nicks in
      src/irc/core/irc-nicklist.c, make sure nick is valid in
      src/irc/core/irc-queries.c.
    - CVE-2017-5193
    - CVE-2017-5194
    - CVE-2017-5195
    - CVE-2017-5196
    - CVE-2017-5356

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 Jan 2017 12:52:09 -0500

irssi (0.8.20-2ubuntu1) zesty; urgency=low

  * Merge from Debian.  Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      - When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/90irc-ubuntu-com:
      + Add the Ubuntu network with irc.ubuntu.com as the server,
        which is currently a CNAME for chat.freenode.net.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 07 Dec 2016 16:26:11 +0000

irssi (0.8.20-2) unstable; urgency=high

  * New patch 23fix-buf.pl to fix an information exposure issue involved with
    using buf.pl and /upgrade.

 -- Rhonda D'Vine <rhonda@debian.org>  Sat, 24 Sep 2016 16:10:19 +0200

irssi (0.8.20-1) unstable; urgency=critical

  * New upstream security release.
  * Fix heap corruption and missing bounds checks (CVE-2016-7044
    CVE-2016-7045)

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 21 Sep 2016 22:09:18 +0200

irssi (0.8.19-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.8.
  * Drop DANE support, libval changed and doesn't offer that interface
    anymore.
  * Drop -dbg package in favor of the automatically created dbgsym one.

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 20 Apr 2016 10:32:45 +0200

irssi (0.8.19-1ubuntu3) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 10:09:47 +0100

irssi (0.8.19-1ubuntu2) yakkety; urgency=medium

  * SECURITY UPDATE: Fix color format decoding (LP: #1624068):
    - Add debian/patches/91fix-color-formatting:
      + fix unformat_24bit_color (CVE-2016-7044)
      + fix format_send_to_gui (CVE-2016-7045)

 -- Kees Cook <kees@ubuntu.com>  Thu, 15 Sep 2016 11:43:53 -0700

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,5 @@
 	find debian/tmp -name '*.la' -delete
 	dh_install
 
-override_dh_strip:
-	dh_strip --dbg-package=irssi-dbg
+override_dh_strip:                                                                                                                 
+	dh_strip --dbgsym-migration='irssi-dbg (<< 0.8.19-2~)'

## irssi 0.8.21-1

=== debian/changelog ===
irssi (0.8.21-1) unstable; urgency=low

  * built version 0.8.21

 -- Sicelo A. Mhlongo <absicsz@gmail.com>  Mon, 24 Apr 2017 21:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Max Maher <mmaher@gmx.net>
-Build-Depends: debhelper (>= 5), autotools-dev, libglib2.0-dev, libncurses5-dev, libssl-dev, openssl
+Build-Depends: debhelper (>= 5), autotools-dev, libglib2.0-dev, libncurses5-dev, libssl-dev, openssl, libperl-dev
 Standards-Version: 3.7.2
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=irssi

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	SBOX_REDIRECT_IGNORE=/usr/bin/perl PATH=/usr/bin:$(PATH) CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	            --prefix=/opt/irssi --sysconfdir=/etc --mandir=\$${prefix}/share/man --includedir=/usr/include \
		    --infodir=\$${prefix}/share/info --with-perl=yes


build: build-stamp

build-stamp:  config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/irssi.sgml > irssi.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/irssi.
	SBOX_REDIRECT_IGNORE=/usr/bin/perl PATH=/usr/bin:$(PATH) $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_link opt/irssi/bin/irssi usr/bin/irssi
	dh_strip
	dh_compress
	dh_fixperms
	#dh_perl
	dh_makeshlibs -n
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## irssi 0.8.21-2

=== debian/changelog ===
irssi (0.8.21-2) unstable; urgency=low

  * fix building of perl libraries for irssi. thanks Halftux

 -- Sicelo A. Mhlongo <absicsz@gmail.com>  Sat,  1 Jul 2017 21:41:58 +0200

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 build-stamp:  config.status
 	dh_testdir
 	# Add here commands to compile the package.
-	$(MAKE)
+	SBOX_REDIRECT_IGNORE=/usr/bin/perl PATH=/usr/bin:$(PATH) $(MAKE)
 	#docbook-to-man debian/irssi.sgml > irssi.1
 
 	touch $@

## irssi 0.8.21-3

=== debian/changelog ===
irssi (0.8.21-3) unstable; urgency=low

  * fix packaging for irssi perl libs

 -- Sicelo A. Mhlongo <absicsz@gmail.com>  Mon,  3 Jul 2017 20:10:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: irssi
 Section: user/network
 Priority: extra
-Maintainer: Max Maher <mmaher@gmx.net>
+Maintainer: Sicelo Mhlongo <absicsz@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev, libglib2.0-dev, libncurses5-dev, libssl-dev, openssl, libperl-dev
 Standards-Version: 3.7.2
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=irssi

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 
 # These are used for cross-compiling and for saving the configure script
@@ -83,7 +83,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	#dh_perl
+	dh_perl
 	dh_makeshlibs -n
 	dh_installdeb
 	dh_shlibdeps

## irssi 1.0.0

=== debian/changelog ===
irssi (1.0.0-fdi1) xenial; urgency=medium

  * Derp.

 -- Je Moeder <je@moeder.com>  Thu, 15 Sep 2016 11:43:53 -0700

irssi (0.8.19-1ubuntu1.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Fix color format decoding (LP: #1624068):
    - Add debian/patches/91fix-color-formatting:
      + fix unformat_24bit_color (CVE-2016-7044)
      + fix format_send_to_gui (CVE-2016-7045)

 -- Kees Cook <kees@ubuntu.com>  Thu, 15 Sep 2016 11:43:53 -0700

## irssi 1.0.2

=== debian/changelog ===
irssi (1.0.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Rhonda D'Vine <rhonda@debian.org>  Tue, 14 Mar 2017 13:03:57 +0100

irssi (1.0.2-1) unstable; urgency=high

  * New upstream pure bugfix release:
    - Prevent some null-pointer crashes.
    - Fix compilation with OpenSSL 1.1.0.
    - Correct dereferencing of already freed server objects during
      output of netjoins. Found by APic. (closes: #857502)
    - Fix in command arg parser to detect missing arguments in tail place.
    - Fix regression that broke incoming DCC file transfers.
    - Fix issue with escaping \ in evaluated strings.

 -- Rhonda D'Vine <rhonda@debian.org>  Sat, 11 Mar 2017 10:52:54 +0100

irssi (1.0.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Rhonda D'Vine <rhonda@debian.org>  Tue, 07 Mar 2017 17:55:29 +0100

irssi (1.0.1-1) unstable; urgency=high

  * New upstream pure bugfix release:
    - Fix Perl compilation in object dir.
    - Disable EC cryptography on Solaris to fix build.
    - Fix incorrect HELP SERVER example.
    - Correct memory leak in /OP and /VOICE.
    - Fix regression that broke second level completion.
    - Correct missing NULL termination in perl_parse.
    - Sync broken mail.pl script.

 -- Rhonda D'Vine <rhonda@debian.org>  Mon, 06 Feb 2017 08:07:55 +0100

irssi (1.0.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Rhonda D'Vine <rhonda@debian.org>  Sat, 28 Jan 2017 20:37:45 +0100

irssi (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add patch 25tls-ssl-compat-defines provided by upstream's dx for backward
    compatibility to not require modules using these functions to change code.
  * Update patch 22fix-perl-hardening.

 -- Rhonda D'Vine <rhonda@debian.org>  Sun, 08 Jan 2017 01:08:23 +0100

irssi (0.8.21-1) unstable; urgency=medium

  * New upstream security release (Closes: #850403):
    - CVE-2017-5193: NULL pointer dereference in the nickcmp function
    - CVE-2017-5194: Use-after-freee when receiving invalid nick message
    - CVE-2017-5195: Out-of-bounds read in certain incomplete control codes
    - CVE-2017-5196: Out-of-bounds read in certain incomplete character
      sequences
  * Remove patch 23fix-buf.pl which is included in upstream release.
  * Set PACKAGE_VERSION for configure as suggested by upstream.

 -- Rhonda D'Vine <rhonda@debian.org>  Thu, 05 Jan 2017 10:26:08 +0100

irssi (0.8.20-1~bpo8+1) jessie-backports; urgency=critical

  * Rebuild for jessie-backports.
  * Revert "Drop -dbg package" for backports.

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 21 Sep 2016 23:06:53 +0200

irssi (0.8.19-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Rhonda D'Vine <rhonda@debian.org>  Tue, 12 Apr 2016 14:39:33 +0200

irssi (0.8.18-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Rhonda D'Vine <rhonda@debian.org>  Thu, 10 Mar 2016 12:43:31 +0100

=== debian/control ===
Source: irssi
Section: net
Priority: optional
Maintainer: Rhonda D'Vine <rhonda@debian.org>
Build-Depends: debhelper (>= 9~), autotools-dev, libglib2.0-dev,
  perl (>= 5.8.1), libperl-dev (>= 5.8.1), libncurses5-dev, libssl-dev,
  openssl
Standards-Version: 3.9.8
Homepage: http://irssi.org/
Vcs-Browser: http://git.deb.at/w/pkg/irssi.git
Vcs-Git: git://git.deb.at/pkg/irssi.git

Package: irssi
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, perl-base(>= 5.8.1)
Suggests: irssi-scripts
Description: terminal based IRC client
 Irssi is a terminal based IRC client for UNIX systems. It also supports
 SILC and ICB protocols via plugins.
 .
 Features include:
  * Autologging
  * Formats and themes
  * Configurable keybindings
  * Paste detection
  * Perl scripting
  * Irssi-proxy
  * Transparent upgrading
  * Recode support

Package: irssi-dev
Priority: extra
Architecture: any
Depends: irssi (= ${binary:Version}), ${misc:Depends}
Description: terminal based IRC client - development files
 Irssi is a terminal based IRC client for UNIX systems. It also supports
 SILC and ICB protocols via plugins.
 .
 Features include:
  * Autologging
  * Formats and themes
  * Configurable keybindings
  * Paste detection
  * Perl scripting
  * Irssi-proxy
  * Transparent upgrading
  * Recode support
 .
 This package includes the development files for the irssi client.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CONFIGURE_SWITCHES = --enable-ipv6 --with-bot --with-proxy --enable-true-color --with-perl-lib=vendor --disable-static
VERSION = $(shell dpkg-parsechangelog | grep "^Version:" | cut -d" " -f2)

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_SWITCHES) PACKAGE_VERSION=$(VERSION)

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install

override_dh_strip:
	dh_strip

## irssi 1.0.3

=== debian/changelog ===
irssi (1.0.3-fdi1) xenial; urgency=medium

  * Derp.

 -- Je Moeder <je@moeder.com>  Thu, 13 Mar 2017 11:43:53 -0700

irssi (1.0.2-fdi1) xenial; urgency=medium

  * Derp.

 -- Je Moeder <je@moeder.com>  Thu, 13 Mar 2017 11:43:53 -0700

## irssi 1.0.4

=== debian/changelog ===
irssi (1.0.4-1ubuntu2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:03:17 +0000

irssi (1.0.4-1ubuntu1) artful; urgency=medium

  * Merge from Debian. Remaining changes:
    - Refresh and re-enabled 20fix_ssl_proxy_hostname_check.
      - When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/90irc-ubuntu-com:
      + Add the Ubuntu network with irc.ubuntu.com as the server,
        which is currently a CNAME for chat.freenode.net.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to Ubuntu and joining #ubuntu.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 12 Jul 2017 04:20:11 -0400

irssi (1.0.4-1) unstable; urgency=high

  * New upstream bugfix release (closes: #867598):
    - Fix null pointer dereference when parsing invalid timestamp.
      Reported by Brian 'geeknik' Carpenter. [CVE-2017-10965]
    - Fix use-after-free condition when removing nicks from the internal
      nicklist. Reported by Brian 'geeknik' Carpenter. [CVE-2017-10966]
    - Fix incorrect string comparison in DCC file names.
    - Fix regression in Irssi 1.0.3 where it would claim "Invalid time '-1'".
    - Fix a bug when using \n to separate lines with expand_escapes.
    - Retain screen output on improper exit, to better see any error
      messages.
    - Minor help update.

 -- Rhonda D'Vine <rhonda@debian.org>  Tue, 11 Jul 2017 07:17:19 +0200

irssi (1.0.3-1ubuntu1) artful; urgency=medium

  * Merge from Debian. Remaining changes:
    - Refresh and re-enabled 20fix_ssl_proxy_hostname_check.
      - When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/90irc-ubuntu-com:
      + Add the Ubuntu network with irc.ubuntu.com as the server,
        which is currently a CNAME for chat.freenode.net.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to Ubuntu and joining #ubuntu.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 08 Jun 2017 16:52:36 -0400

irssi (1.0.3-1) unstable; urgency=high

  * New upstream pure bugfix release.

 -- Rhonda D'Vine <rhonda@debian.org>  Thu, 08 Jun 2017 10:08:46 +0200

irssi (1.0.2-1ubuntu2) artful; urgency=medium

  * debian/patches/90-irc-ubuntu-com: update to use the right use_tls
    option, and add tls_verify. Thanks to Unit193 for noticing!

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 May 2017 07:32:23 -0400

irssi (1.0.2-1ubuntu1) artful; urgency=medium

  * Merge from Debian. Remaining changes:
    - Re-enabled 20fix_ssl_proxy_hostname_check.
      - When we have a proxy setting, we expect the CN to match
        the proxy hostname, not the server hostname.
    - d/p/90irc-ubuntu-com:
      + Add the Ubuntu network with irc.ubuntu.com as the server,
        which is currently a CNAME for chat.freenode.net.
    - d/p/03firsttimer_text:
      + Adapt 03firsttimer_text so it tells you about
        connecting to Ubuntu and joining #ubuntu.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 May 2017 07:59:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: irssi
 Section: net
 Priority: optional
-Maintainer: Rhonda D'Vine <rhonda@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rhonda D'Vine <rhonda@debian.org>
 Build-Depends: debhelper (>= 9~), autotools-dev, libglib2.0-dev,
   perl (>= 5.8.1), libperl-dev (>= 5.8.1), libncurses5-dev, libssl-dev,
   openssl
